package task2;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

/**
 * A demo program for "moody" traversal of binary search trees.
 */
public class Demo {

  /**
   * Demo starts here.
   * @param args command-line arguments - not used here.
   */
  public static void main(String[] args) {
    List<Integer> values = new ArrayList<>(Arrays.asList(1, 2, 3, 4, 5, 6));
    Collections.shuffle(values);

    BinarySearchTree bst = new BinarySearchTree();
    for (int val: values) {
      bst.insert(val);
    }

    bst.traverse();
  }
}
