package task2;

import java.util.Random;

/**
 * Represents a fair coin.
 */
public enum Coin {
  HEAD, TAIL;
  public static Random rand = new Random();

  /**
   * Simulate Coin flip.
   *
   * @return either HEAD or TAIL at random.
   */
  public static Coin flip() {
    return rand.nextBoolean() ? HEAD : TAIL;
  }
}
